Skip to content
SteamSets
Esc
↑↓navigate↵open⌘Jpreview

Get platform statistics

POST/v1/stats.getStats
Authorization
AuthorizationBearer token · headerrequired
Responses
200

OK

accountsAddedinteger<int32>required

The total number of accounts added

accountsUpdatedinteger<int32>required

The total number of accounts updated

appPlaytimeinteger<int32>required

The total playtime of apps

appsinteger<int32>required

The total number of apps

awardsGiveninteger<int32>required

The total awards given

awardsReceivedinteger<int32>required

The total awards received

badgesinteger<int32>required

The total number of badges

bansinteger<int32>required

The total number of bans

foilBadgesinteger<int32>required

The total number of foil badges

friendsinteger<int32>required

The total number of friends

gameBansinteger<int32>required

The total number of game bans

levelinteger<int32>required

The total level

normalBadgesinteger<int32>required

The total number of normal badges

playtimeinteger<int32>required

The total playtime

pointsGiveninteger<int32>required

The total points given

pointsReceivedinteger<int32>required

The total points received

steamSetsScoreinteger<int32>required

The total steam sets score

totalAccountsinteger<int64>required

The total number of accounts

vacBansinteger<int32>required

The total number of vac bans

xpinteger<int32>required

The total xp

400

Bad Request

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
401

Unauthorized

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
500

Internal Server Error

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
Try it
Server
Authorization
Request
curl -X POST 'https://api.steamsets.com/v1/stats.getStats' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "accountsAdded": 1,
  "accountsUpdated": 1,
  "appPlaytime": 1,
  "apps": 1,
  "awardsGiven": 1,
  "awardsReceived": 1,
  "badges": 1,
  "bans": 1,
  "foilBadges": 1,
  "friends": 1,
  "gameBans": 1,
  "level": 1,
  "normalBadges": 1,
  "playtime": 1,
  "pointsGiven": 1,
  "pointsReceived": 1,
  "steamSetsScore": 1,
  "totalAccounts": 1,
  "vacBans": 1,
  "xp": 1
}